Bug 1597914 - [RFE] Support Custom buttons for more object types (See description for list)
Summary: [RFE] Support Custom buttons for more object types (See description for list)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: eclarizi
QA Contact: Nikhil Dhandre
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 22:19 UTC by Greg McCullough
Modified: 2019-02-07 23:03 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:25 UTC

Description Greg McCullough 2018-07-03 22:19:10 UTC
Description of problem: Add custom button support for the following object types:

AvailabilityZone
ContainerGroup
ContainerImage
ContainerTemplate
ContainerVolume
LoadBalancer
NetworkRouter
OrchestrationStack
SecurityGroup
Switch


Version-Release number of selected component (if applicable): 5.10


Steps to Reproduce:
Identified Custom Button types are available under Automation -> Automate -> Customization


Additional info:
Followup from https://bugzilla.redhat.com/show_bug.cgi?id=1565235

Comment 4 CFME Bot 2018-08-03 05:29:48 UTC
New commits detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/65281ac4f1d56913c012ed63327ad72e6b8037de
commit 65281ac4f1d56913c012ed63327ad72e6b8037de
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Fri Jul 27 17:34:56 2018 -0400
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Fri Jul 27 17:34:56 2018 -0400

    Add support for more custom button object types

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1597914

    This PR adds support with the dialog-user component for the following
    custom button object types:
    AvailabilityZone
    ContainerGroup
    ContainerImage
    ContainerProject
    ContainerTemplate
    ContainerVolume
    LoadBalancer
    NetworkRouter
    OrchestrationStack
    SecurityGroup
    Switch

 app/services/dialog_local_service.rb | 49 +-
 spec/services/dialog_local_service_spec.rb | 264 +-
 2 files changed, 283 insertions(+), 30 deletions(-)


https://github.com/ManageIQ/manageiq-ui-classic/commit/d889ab83d28cab463d6b67a000b02ec21211e1d6
commit d889ab83d28cab463d6b67a000b02ec21211e1d6
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Wed Aug  1 13:35:32 2018 -0400
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Wed Aug  1 13:35:32 2018 -0400

    Refactor dialog_local_service_spec to use shared example

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1597914

 spec/services/dialog_local_service_spec.rb | 439 +-
 1 file changed, 75 insertions(+), 364 deletions(-)

Comment 6 Nikhil Dhandre 2018-10-08 05:53:47 UTC
I tested all custom button objects excluding Switch as QE does not have an environment to test Physical Infrastructure objects.

Comment 7 Sudhir Mallamprabhakara 2018-10-09 03:20:55 UTC
ack on marking this as verified.

Comment 8 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.